View Issue Details

IDProjectCategoryView StatusLast Update
0005759Simple:Presscode - generalpublic2017-07-11 01:58
ReporterYellow SwordfishAssigned ToYellow Swordfish 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005759: PHP notice raised on missing theme template
Description[22-Feb-2017 08:41:10 Europe/London] PHP Notice - Array to string conversion - file: /simple-press/forum/content/sp-template-control.php - line: 287 - function: sp_load_template

This is when the template name is used in a filter and does not exist. If not exist it is turned into an array - hence the error
TagsNo tags attached.
change_log_textCorrect filter call for missing theme template
typedefect

Activities

svn

svn

2017-02-22 09:22

administrator   ~0019255

Changeset [15231] by andy on 2017-02-22 04:22:13 -0500 (Wed, 22 Feb 2017)

See issue 0005759
Fix notice

 Changed Files:

U trunk/forum/content/sp-template-control.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15231

Issue History

Date Modified Username Field Change
2017-02-22 09:16 Yellow Swordfish New Issue
2017-02-22 09:16 Yellow Swordfish Assigned To => Yellow Swordfish
2017-02-22 09:17 Yellow Swordfish Status new => assigned
2017-02-22 09:17 Yellow Swordfish change_log_text => Correct filter call for missing theme template
2017-02-22 09:22 svn =>
2017-02-22 09:22 svn Note Added: 0019255
2017-02-22 09:22 Yellow Swordfish Status assigned => testing
2017-02-26 05:36 Mr Papa Status testing => closed
2017-02-26 05:36 Mr Papa Resolution open => fixed
2017-02-26 05:36 Mr Papa Fixed in Version => 6.0
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8